> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shortext.ny-corp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search agents



## OpenAPI

````yaml api-reference/openapi.json get /agent/search
openapi: 3.1.0
info:
  title: Shortext API
  description: This is my API
  version: '1.0'
servers:
  - url: https://shortext.ny-corp.io/api
  - url: https://whatsapp-gateway.test/api
security: []
tags:
  - name: Agents
    description: Agents
  - name: Business - Manager
    description: Business - Manager
  - name: Messages
    description: Messages
  - name: Tickets
    description: Tickets
  - name: health
    description: health
paths:
  /agent/search:
    get:
      tags:
        - Agents
      summary: Search agents
      operationId: searchAgent
      responses:
        '200':
          description: The data
          content:
            application/json:
              schema: {}
              example:
                - id: 19
                  webhook: null
                  use_ai: true
                  name: Shortext
                  token: null
                  created_at: '2025-07-23T21:48:35.000000Z'
                  updated_at: '2025-07-23T21:48:35.000000Z'
                  hashid: AGI-XXXXX
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: Basic Auth
      scheme: bearer

````